package com.interdataworking.gateway.sqlview;

import java.io.*;
import java.util.*;
import org.w3c.rdf.model.*;
import org.w3c.rdf.syntax.*;

import com.interdataworking.*;
import com.interdataworking.mm.alg.*;
import org.w3c.rdf.vocabulary.rdf_syntax_19990222.RDF;

public class DependenciesView extends GenericDependencies {

  public Set getAggProp() {

    Set s = new HashSet();
    s.add(SQLViewVocabulary.as);
    s.add(SQLViewVocabulary.inFromClause);
    s.add(SQLViewVocabulary.cvLink);
    s.add(RDF.type);
    s.add(SQLViewVocabulary.cvTable);
    s.add(SQLViewVocabulary.fieldRef);
    s.add(SQLViewVocabulary.tableRef);
    s.add(SQLViewVocabulary.headTerm);
    s.add(SQLViewVocabulary.whenTerm);
    s.add(SQLViewVocabulary.thenTerm);
    s.add(SQLViewVocabulary.conditionExpr);
    s.add(SQLViewVocabulary.term);
    s.add(SQLViewVocabulary.operatorName);
    s.add(SQLViewVocabulary.aliasClause);
    return s;
  }

  public Set getInverseAggProp() {

    Set s = new HashSet();
    s.add(SQLViewVocabulary.fieldRef);
    s.add(SQLViewVocabulary.tableRef);
    s.add(SQLViewVocabulary.term);
    s.add(SQLViewVocabulary.as);
    s.add(SQLViewVocabulary.fromClause);
    s.add(SQLViewVocabulary.whereClause);
    s.add(SQLViewVocabulary.inFromClause);
    s.add(SQLViewVocabulary.selectTerm);
    s.add(SQLViewVocabulary.cvField);
    s.add(SQLViewVocabulary.cvTable);
    s.add(SQLViewVocabulary.cvLink);
    s.add(SQLViewVocabulary.whenTerm);
    s.add(SQLViewVocabulary.thenTerm);
    s.add(SQLViewVocabulary.conditionExpr);
    s.add(SQLViewVocabulary.headTerm);
    return s;
  }
  
}
