package com.interdataworking.mm.alg;

import com.interdataworking.*;
import com.interdataworking.mm.*;
//import com.interdataworking.mm.alg.*;
import org.w3c.rdf.model.*;
import org.w3c.rdf.util.*;
import java.util.*;
//import org.w3c.rdf.vocabulary.rdf_syntax_19990222.RDF;

//import edu.stanford.db.rdf.util.Aggregator;

public class IdentityMap implements UntypedGateway {

  public List identity(Set selector) throws ModelException {

    List result = new ArrayList();

    for(Iterator it = selector.iterator(); it.hasNext();) {

      RDFNode p = (RDFNode)it.next();
      result.add(new MapPair(p, p, 1.0));
    }

    return result;
  }

  public List execute(List input) throws ModelException {

    Model selectorM = (Model)input.get(0);
    Set selector = MapVocabulary.asSet(selectorM);

    Model result = MapPair.asModel(selectorM, identity(selector));

    ArrayList l = new ArrayList();
    l.add(result);
    return l;
  }
  

  public int getMinInputLen() { return 1; }

  public int getMaxInputLen() { return 1; }

  public int getMinOutputLen() { return 1; }

  public int getMaxOutputLen() { return 1; }
  
}
