package com.interdataworking.mm.alg;

import javax.swing.*;

import com.interdataworking.*;
import com.interdataworking.mm.*;
import com.interdataworking.mm.alg.*;
import org.w3c.rdf.model.*;
import org.w3c.rdf.util.*;
import java.util.*;

public class IsEmpty implements UntypedGateway {

  public List execute(List input) throws ModelException {

    Model m = (Model)input.get(0);

    List result = new ArrayList();
    result.add(new Boolean(m.isEmpty()));
    //    result.add(MapPair.asModel(forEmpty, MapPair.replacementMap(this.map.values())));

    return result;
  }

  public int getMinInputLen() { return 1; }

  public int getMaxInputLen() { return 1; } // model

  public int getMinOutputLen() { return 1; } // boolean

  public int getMaxOutputLen() { return 1; }

}
