package com.interdataworking.mm.gui;

import javax.swing.*;
import javax.swing.event.*;
import javax.swing.text.*;
import javax.swing.border.*;
//import javax.swing.colorchooser.*;
//import javax.swing.filechooser.*;
import javax.swing.table.*;
import javax.accessibility.*;

import java.awt.Insets;
import java.awt.Graphics2D;
import java.awt.Graphics;
import java.awt.RenderingHints;
import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.LayoutManager;
import java.awt.Dimension;
import java.awt.Container;
import java.awt.Component;
import java.awt.geom.*;
// import java.awt.event.*;
// import java.beans.*;
import java.util.*;
import java.io.*;
// import java.applet.*;
import java.net.*;

public class EmptyLayout implements LayoutManager {

    /**
     * Adds the specified component with the specified name to
     * the layout.
     * @param name the component name
     * @param comp the component to be added
     */
  public void addLayoutComponent(String name, Component comp) {
  }

    /**
     * Removes the specified component from the layout.
     * @param comp the component ot be removed
     */
  public void removeLayoutComponent(Component comp) {
  }

    /**
     * Calculates the preferred size dimensions for the specified 
     * panel given the components in the specified parent container.
     * @param parent the component to be laid out
     *  
     * @see #minimumLayoutSize
     */
  public Dimension preferredLayoutSize(Container target) {

    int nChildren = target.getComponentCount();
    // flush changes to the container
    int w = 0;
    int h = 0;
    for (int i = 0; i < nChildren; i++) {
      Component c = target.getComponent(i);
      w = Math.max(w, c.getX() + c.getWidth());
      h = Math.max(h, c.getY() + c.getHeight());
    }
//     Insets insets = target.getInsets();
//     w += insets.left + insets.right;
//     h += insets.top + insets.bottom;
    return new Dimension(w, h);
  }

  /** 
   * Calculates the minimum size dimensions for the specified 
   * panel given the components in the specified parent container.
   * @param parent the component to be laid out
   * @see #preferredLayoutSize
   */
  public Dimension minimumLayoutSize(Container parent) {

    return preferredLayoutSize(parent);
  }

  /** 
   * Lays out the container in the specified panel.
   * @param parent the component which needs to be laid out 
   */
  public void layoutContainer(Container target) {

//     Insets insets = target.getInsets();

//     int nChildren = target.getComponentCount();
//     // flush changes to the container
//     for (int i = 0; i < nChildren; i++) {
//       Component c = target.getComponent(i);
//       c.setLocation(c.getX() + insets.top, c.getY() + insets.left);
//     }
  }

}
