package com.interdataworking.gateway.sqlview;

import java.io.*;
import org.w3c.rdf.model.*;
import org.w3c.rdf.syntax.*;
import org.xml.sax.InputSource;
import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXException;

public class SQLView2Obj implements RDFParser {

  public void parse(InputSource source, RDFConsumer consumer) throws SAXException {

    Reader r = source.getCharacterStream();
    if(r == null)
      r = new InputStreamReader(source.getByteStream());
    SQLView p = new SQLView(r);
    try {
      p.parseSQL(consumer);
    } catch (Exception me) {
      throw new SAXException(me);
    }
  }

  public void setErrorHandler (ErrorHandler handler) {
    // do nothing
  }
}
