package edu.stanford.db.rdf.query.conditions;

import edu.stanford.db.rdf.query.*;
import org.w3c.rdf.model.*;

/**
 * Equality with a constant.
 */
public class IsLiteral implements ConditionEvaluator {

  public IsLiteral() {
  }

  public int getArity() {

    return 1;
  }

  public boolean holds(RDFNode[] n) {

    //    System.err.println("  evaluating: " + n[0]);

    //    return true;

    return n[0] != null && n[0] instanceof Literal;
  }
}
