package edu.stanford.db.rdf.query.orderings;

import edu.stanford.db.rdf.query.*;
import org.w3c.rdf.model.*;
import java.util.*;


/**
 * Reverses an order
 */

public class Reverse implements SubstitutionComparator {

  SubstitutionComparator c;

  public Reverse(SubstitutionComparator c) {

    this.c = c;
  }

  public int compare(Map s1, Map s2, Model m) throws ModelException {
    
    return c.compare(s2, s1, m);
  }
}
